Ever version of gpsp libretro is running like garbage on my new 3ds. Help?

Discussion in '3DS - Homebrew Development and Emulators' started by Stallion_Prime, Aug 12, 2016.

  1. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    i have googled for days and i either get links to reddit that explain nothing or links to this place that contain the nightly builds, but they all run like trash on my system. im currently running the .3dsx versions. the game i'm trying to run is megaman battle network 6, The game runs at like 45- 50 fps , BUT the sound is beyond horrible and there is slowdown. im very new to the 3ds scene so any explanation would help greatly. Thanks. (Also im on 11.0 with the legit firmware)
     


  2. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,444
    4,012
    Jan 17, 2013
    Mexico
    Don't use the nightlies, those have a ton of issues relating dynarec and screen tearing, along with crashes.
    Use the stable 1.3.3 builds.
     
  3. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    i've been constantly reading poeple advising others to use the nightly builds. Anyway, i also read that using the .3dsx versions of the emulators arent as good as the .cia files. is that true?
     
    ShadowOne333 likes this.
  4. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,444
    4,012
    Jan 17, 2013
    Mexico
    Well the first point you must have read it wrong, almost everyone in here is suggesting to use the 1.3.3 builds because dynarec has fucked gpsp beyond recognition.
    As for the second point, that is true, you should use CIA instead of 3dsx because the CIA has dynarec support and some permissions to the console that the usual 3DSX file doesn't have.
     
  5. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California

    Hmm i guess i did read wrong however i dont think i can use the CIAs because i'm on 11.0 and i heard you cant do it with my current firmware. If it is possible, do you think you can link me to a tutorial that'll let me do it with menu hax on an 11.0 system? im still trying to learn my way around the site's layout.
     
    Last edited by Stallion_Prime, Aug 12, 2016
  6. sj33

    sj33 GBAtemp Addict

    Member
    2,630
    1,631
    Oct 22, 2013
    Japan
  7. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,444
    4,012
    Jan 17, 2013
    Mexico
    Sadly I don't think I might be of too much help in that regard.
    I know almost nothing about 11.
    The only thing I do know is that you need either a hardmod to downgrade to anything <11.0 or have access to another hacked 3DS.
    Without any of those two, you won't be able to install CIAs on your 3DS at the moment.
     
  8. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    ok so im running the 1.3.3 version you mentioned and when i select a game i get 2 options: open archive as folder and load archive as core. which should i select?

    — Posts automatically merged - Please don't double post! —


    Thats fine. Was expected to be honest
     
  9. sj33

    sj33 GBAtemp Addict

    Member
    2,630
    1,631
    Oct 22, 2013
    Japan
    You choose Open Folder as Archive. But 1.3.3 will still run poor for you because you cannot use dynarec on your 11.0 setup.


    As I said above, use the latest mGBA nightly instead (NOT the one from Retroarch).
     
  10. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    alright. if it still runs poor, i'll just ignore gba emulation all together
     
  11. sj33

    sj33 GBAtemp Addict

    Member
    2,630
    1,631
    Oct 22, 2013
    Japan
  12. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,444
    4,012
    Jan 17, 2013
    Mexico
  13. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    still runs horrible. i'll just abandon gba emulation. the genesis one works great at least!

    — Posts automatically merged - Please don't double post! —


    i just tried it. runs pretty bad still. oh well
     
    Last edited by Stallion_Prime, Aug 12, 2016
  14. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    if not, i'll just wait till there's support for 11.0. if it happens...
     
  15. SG6000

    SG6000 GBAtemp Regular

    Member
    241
    90
    Nov 2, 2015
    I wouldn't rule out using the gPSP 3dsx on an N3DS. It already ran super fast without dynarec and depending on the game might actually be full speed.
     
  16. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    thats what ive always been using. it runs really really bad
     
  17. SG6000

    SG6000 GBAtemp Regular

    Member
    241
    90
    Nov 2, 2015
    What games are you testing with it with it? Everything I throw at my old build (admittedly not a ton) seems to run at an acceptable speed:

    - I should have read the op a bit closer. I have no idea about MMB6, good luck.
     

    Attached Files:

    Last edited by SG6000, Aug 12, 2016
  18. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    what games do you run? gonna test them out
     
  19. SG6000

    SG6000 GBAtemp Regular

    Member
    241
    90
    Nov 2, 2015
    Rhythm Tengoku, Double Dragon Advance, Ninja Cop, Castlevania COTM, Kururin Paradise.. They all run fine. However - Gunstar Super Heroes seems to run terribly..hopefully not but you just may be out of luck with the particular game you want to play properly.
     
  20. Stallion_Prime
    OP

    Stallion_Prime Member

    Newcomer
    23
    2
    Jan 9, 2015
    United States
    Los Angeles, California
    games wont run on the build you posted i get an error saying: Does not have enough samples for monitor refresh rate estimation. requires to run for at least 4096 frames.